---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libclrfldw002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B648, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D588, symBinAddr: 0xA240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D970, symBinAddr: 0xA628, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E910, symBinAddr: 0xB5C8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E918, symBinAddr: 0xB5D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B190, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B194, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B198, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B2E8, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B3A0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B3A4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B3A8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B3AC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B3B0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B3B8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B3D0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B3D8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B3E0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B3E8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B3F0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B438, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4B440, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4B450, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90E0, offset: 0x90E0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B588, symBinAddr: 0x82F8, symSize: 0x0 }
  - { offsetInCU: 0x9139, offset: 0x9139, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xC20, symSize: 0xA0 }
  - { offsetInCU: 0x91CE, offset: 0x91CE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xBF8, symSize: 0x28 }
  - { offsetInCU: 0x9231, offset: 0x9231, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xB78, symSize: 0x80 }
  - { offsetInCU: 0x94C5, offset: 0x94C5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xCC0, symSize: 0x20C }
  - { offsetInCU: 0x967E, offset: 0x967E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xECC, symSize: 0x28 }
  - { offsetInCU: 0x9747, offset: 0x9747, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xEF4, symSize: 0xB0 }
  - { offsetInCU: 0x983E, offset: 0x983E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xFA4, symSize: 0xD8 }
  - { offsetInCU: 0x9963, offset: 0x9963, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x107C, symSize: 0x24 }
  - { offsetInCU: 0x9A26, offset: 0x9A26, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x10A0, symSize: 0x168 }
  - { offsetInCU: 0x9C02, offset: 0x9C02, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1208, symSize: 0x104 }
  - { offsetInCU: 0x9D7F, offset: 0x9D7F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x130C, symSize: 0x154 }
  - { offsetInCU: 0x9F63, offset: 0x9F63, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1460, symSize: 0xAC }
  - { offsetInCU: 0xA038, offset: 0xA038, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x150C, symSize: 0x14 }
  - { offsetInCU: 0xA071, offset: 0xA071, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1520, symSize: 0x14 }
  - { offsetInCU: 0xA0AA, offset: 0xA0AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1534, symSize: 0x14 }
  - { offsetInCU: 0xA227, offset: 0xA227, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1548, symSize: 0x1A8 }
  - { offsetInCU: 0xA53B, offset: 0xA53B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x16F0, symSize: 0x9C }
  - { offsetInCU: 0xA5F8, offset: 0xA5F8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x178C, symSize: 0x690 }
  - { offsetInCU: 0xB18A, offset: 0xB18A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9018, symBinAddr: 0x2870, symSize: 0x30 }
  - { offsetInCU: 0xB216, offset: 0xB216, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1E1C, symSize: 0x74 }
  - { offsetInCU: 0xB2C6, offset: 0xB2C6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1E90, symSize: 0xB0 }
  - { offsetInCU: 0xB3F1, offset: 0xB3F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1F40, symSize: 0x3C }
  - { offsetInCU: 0xB4E7, offset: 0xB4E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1F7C, symSize: 0x29C }
  - { offsetInCU: 0xB82A, offset: 0xB82A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x2218, symSize: 0xD0 }
  - { offsetInCU: 0xB958, offset: 0xB958, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x22E8, symSize: 0xC }
  - { offsetInCU: 0xBA1A, offset: 0xBA1A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x22F4, symSize: 0x22C }
  - { offsetInCU: 0xBCD5, offset: 0xBCD5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2520, symSize: 0x4 }
  - { offsetInCU: 0xBD19, offset: 0xBD19, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2520, symSize: 0x4 }
  - { offsetInCU: 0xBD2B, offset: 0xBD2B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x2524, symSize: 0x1A0 }
  - { offsetInCU: 0xBF4A, offset: 0xBF4A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E6C, symBinAddr: 0x26C4, symSize: 0x4 }
  - { offsetInCU: 0xBF8E, offset: 0xBF8E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E6C, symBinAddr: 0x26C4, symSize: 0x4 }
  - { offsetInCU: 0xBFA0, offset: 0xBFA0, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x8E70, symBinAddr: 0x26C8, symSize: 0x4 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearFieldAccessWatch_clrfldw002_check, symObjAddr: 0x8E74, symBinAddr: 0x26CC, symSize: 0x18C }
  - { offsetInCU: 0xC2B3, offset: 0xC2B3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearFieldAccessWatch_clrfldw002_getRes, symObjAddr: 0x9000, symBinAddr: 0x2858, symSize: 0x18 }
  - { offsetInCU: 0xC2EA, offset: 0xC2EA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9048, symBinAddr: 0x28A0, symSize: 0x358 }
...
